Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
orders
List orders for hub
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/orders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "contact_id": "<string>",
        "hub_id": "<string>",
        "price_id": "<string>",
        "product_id": "<string>",
        "amount_discount": 0,
        "amount_subtotal": 0,
        "amount_total": 0,
        "completed_at": "2023-11-07T05:31:56Z",
        "coupon_id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "currency": "usd",
        "deliverables_snapshot": [
          {}
        ],
        "expired_at": "2023-11-07T05:31:56Z",
        "external_session_id": "<string>",
        "payment_account_id": "<string>",
        "payment_customer_id": "<string>",
        "source": "native",
        "status": "pending",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "orders"
    }
  ],
  "meta": {},
  "links": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Query Parameters

filter[status]
string | null
filter[contact_id]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100
page[after]
string | null

Response

Successful Response

data
OrderResource · object[]
required
meta
Meta · object
required